# lingo - payment and billing system
# Copyright (C) 2022  Entr'ouvert
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.urls import path

from . import views

urlpatterns = [
    path('', views.home, name='lingo-manager-invoicing-home'),
    path('regies/', views.regies_list, name='lingo-manager-invoicing-regie-list'),
    path(
        'regie/add/',
        views.regie_add,
        name='lingo-manager-invoicing-regie-add',
    ),
    path(
        'regie/<int:pk>/',
        views.regie_detail,
        name='lingo-manager-invoicing-regie-detail',
    ),
    path(
        'regie/<int:pk>/edit/',
        views.regie_edit,
        name='lingo-manager-invoicing-regie-edit',
    ),
    path(
        'regie/<int:pk>/delete/',
        views.regie_delete,
        name='lingo-manager-invoicing-regie-delete',
    ),
    path('regies/import/', views.regies_import, name='lingo-manager-invoicing-regie-import'),
    path('regies/export/', views.regies_export, name='lingo-manager-invoicing-regie-export'),
]
